Bug 805937 - XFce desktop not recognise $HOME in .desktop entries
XFce desktop not recognise $HOME in .desktop entries
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xfdesktop (Show other bugs)
16
i386 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-22 10:09 EDT by Frantisek Hanzlik
Modified: 2013-02-13 20:40 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 20:40:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Xfce 8599 None None None Never

  None (edit)
Description Frantisek Hanzlik 2012-03-22 10:09:40 EDT
Description of problem:
When using $HOME (or "~") words in .desktop entries ("Path=", "Exec=", "Icon=",.. etc), this sentence isn't recognised, although should be, according to freedesktop.org convenciens.

Version-Release number of selected component (if applicable):
xfdesktop-4.8.3-1.fc16.i686

How reproducible:
allways

Additional info:
Impossibility of use this standard variables do things tedious and unportable among users.
Comment 1 Kevin Fenzi 2012-03-22 12:45:53 EDT
Would you be willing to file this upstream at bugzilla.xfce.org? Or would you like me to?

Where do you see in the desktop spec that $HOME and/or ~ should be honored?
Comment 2 Frantisek Hanzlik 2012-03-22 19:08:22 EDT
Kevin, You catch me now. I was filling this bug after I had to copy one .desktop file to multiple users, and there was path in "Exec=" item which was referenced to user's home directory - and I was forced manually fill home directory path for every user of that .desktop file. And I lightly, at first click, found example which use "$HOME" for these purposes in article "Anatomy of a .desktop File" at
http://linuxcritic.wordpress.com/2010/04/07/anatomy-of-a-desktop-file/

Not a bit occurred to me thought it isn't possible do something of that kind.
But (unspecified date and titled as "draft") specification at
http://standards.freedesktop.org/desktop-entry-spec/desktop-entry-spec-latest.html
nowhere mentioned construct as "~" or "$HOME". Thus this my bugreport maybe probably only my wish :). Sorry for noise.
Comment 3 Kevin Fenzi 2012-03-22 23:08:56 EDT
Well, I can see it easily being a wishlist item. It would be handy. ;)

Would you be willing to file this upstream at bugzilla.xfce.org ? 
Or would you prefer I do so?
Comment 4 Frantisek Hanzlik 2012-03-23 03:44:48 EDT
I will be happy when You can do it. Because 0) I would have to register there and You are perhaps already, 1) mainly, my english is too bad for such serious thing, 3) Your name is known in Linux/Redhat world and request from You will have bigger strength.
I can imagine two ways for this task - one, more general, is ability of use environment variables expansion ($HOME/$LANG/$whatever); other is use of now existing construct "%" + character where eg. %h will be substituted by user's homedir path... and (maybe) %e{$envvar} by environment variable value ;)
Thanks for Your help, Kevin!
Comment 5 Kevin Fenzi 2012-03-25 20:53:24 EDT
Filed upstream for comment: 

https://bugzilla.xfce.org/show_bug.cgi?id=8599
Comment 6 Fedora End Of Life 2013-01-16 18:16:35 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Fedora End Of Life 2013-02-13 20:40:45 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.